// blink an led using millis() instead of dleay()
// which does not halt your program
//
// Dan Wilcox 2015 danomatika.com
// EDPX 4010 Tools @ DU

int ledPin = 7;
int ledVal = HIGH;
long ledTimestamp = 0;

void setup() {
  pinMode(ledPin, OUTPUT);
}

void loop() {
  if(millis() - ledTimestamp > 1000) {
    if(ledVal == HIGH) {
      ledVal = LOW;
    }
    else {
      ledVal = HIGH;
    }
    digitalWrite(ledPin, ledVal);
    ledTimestamp = millis();
  }
  delay(100);
}


